## matplotlib 3.5.2

=== debian/changelog ===
matplotlib (3.5.2-4ubuntu1) lunar; urgency=medium

  * Stop building the -doc package, as was done in Debian

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 03 Mar 2023 16:19:54 +0000

matplotlib (3.5.2-4build1) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2023 18:00:03 -0500

matplotlib (3.5.2-4) unstable; urgency=medium

  * Team upload.
  * Move all the <!nodoc> Build-Depends to Build-Depends-Indep (to avoid
    indirectly Build-Depending on inkscape, right now).

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Nov 2022 14:38:38 +0200

matplotlib (3.5.2-3) unstable; urgency=medium

  * Team upload.
  * Build without inkscape, which is currently FTBFS, temporarily.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 13 Nov 2022 12:55:09 +0200

matplotlib (3.5.2-2) unstable; urgency=medium

  * debian/rules, debian/patches/fake-setutools-scm.patch
    - remove lib/matplotlib/_version.py in the clean target instead of trying
      to mess with it; Closes: #1015081

 -- Sandro Tosi <morph@debian.org>  Sun, 17 Jul 2022 18:45:39 -0400

matplotlib (3.5.2-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/
    - refresh/drop patches
  * debian/control
    - add cm-super-minimal to matplotlib Suggests; Closes: #1010216
    - bump Standards-Version to 4.6.1 (no changes needed)

  [ Laurent Bigonville ]
  * debian/control
    - Mark python-matplotlib-doc with <!nodoc> build-profile
  * debian/rules
    - Do not build the doc if the <nodoc> profile is set

 -- Sandro Tosi <morph@debian.org>  Wed, 22 Jun 2022 20:14:39 -0400

matplotlib (3.5.1-3) unstable; urgency=medium

  * debian/control debian/patches/docs-still-use-pydata-theme.patch
    - add mpl-mpl-sphinx-theme to b-d, needed for doc, and drop the patch which
      disabled it before

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Jun 2022 14:28:46 -0400
