=== debian/control ===
Source: matplotlib
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper (>= 7),
               dh-python,
               dvipng,
               ghostscript,
               graphviz,
# inkscape [!kfreebsd-amd64],
               libfreetype6-dev,
               libpng-dev,
               libqhull-dev,
               locales-all,
               python3-all-dev,
               python3-cairocffi [!ia64],
               python3-certifi (>= 2020.6.20-1),
               python3-colorspacious,
               python3-cxx-dev,
               python3-cycler (>= 0.10.0),
               python3-dateutil,
               python3-gi,
               python3-ipywidgets,
               python3-kiwisolver,
               python3-mock,
               python3-numpy (>= 1.20.0),
               python3-numpydoc,
               python3-pandas [!hppa !m68k !powerpcspe !sparc64 !sh4 !x32],
               python3-pil,
               python3-pil.imagetk <!nocheck>,
               python3-pkg-resources,
               python3-pyparsing (>= 1.5.6),
               python3-pyqt5 [!hurd-i386],
               python3-pytest,
               python3-setuptools,
               python3-setuptools-scm,
               python3-setuptools-scm-git-archive,
               python3-six (>= 1.4),
               python3-tk,
               python3-tornado,
               tcl8.6-dev,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               tk8.6-dev,
               xauth,
               xvfb,
               zlib1g-dev,
XS-Python-Version: all
Standards-Version: 4.6.1
Homepage: http://matplotlib.org/
Vcs-Git: https://salsa.debian.org/python-team/packages/matplotlib.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/matplotlib

Package: python3-matplotlib
Architecture: any
Depends: libjs-jquery,
         libjs-jquery-ui,
         python-matplotlib-data (>= ${source:Upstream-Version}),
         python3-dateutil,
         python3-pil.imagetk,
         python3-pyparsing (>= 1.5.6),
         python3-six (>= 1.4),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Recommends: python3-pil,
            python3-tk,
Enhances: ipython3,
Suggests: cm-super-minimal,
          dvipng,
          ffmpeg,
          fonts-staypuft,
          ghostscript,
          gir1.2-gtk-3.0,
          inkscape,
          ipython3,
          librsvg2-common,
          python3-cairocffi,
          python3-gi,
          python3-gi-cairo,
          python3-gobject,
          python3-pyqt5,
          python3-scipy,
          python3-sip,
          python3-tornado,
          texlive-extra-utils,
          texlive-latex-extra,
Description: Python based plotting system in a style similar to Matlab (Python 3)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the Python 3 version of matplotlib.

Package: python-matplotlib-data
Architecture: all
Depends: fonts-dejavu-core,
         fonts-lyx,
         ${misc:Depends},
Description: Python based plotting system (data package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains architecture independent data for python-matplotlib.
