## matplotlib 3.6.2

=== debian/changelog ===
matplotlib (3.6.2-3) unstable; urgency=medium

  * upload to unstable

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Dec 2022 14:49:42 -0500

matplotlib (3.6.2-2) experimental; urgency=medium

  * debian/control
    - add contourpy to b-d, needed by tests
    - add b-d needed by tests: cairo, cm-super-minimal, contourpy, ffmpeg,
      fonts-noto-cjk, fonts-wqy-zenhei, imagemagick, pikepdf, texlive-base,
      texlive-luatex, texlive-science, texlive-xetex, wxgtk4.0, xarray
    - drop XS-Python-Version, no longer needed
  * debian/rules
    - enable test_contour.py tests
    - exclude another test failing with Qt
  * debian/tests
    - use py3versions --supported

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Dec 2022 23:24:09 -0500

matplotlib (3.6.2-1) experimental; urgency=medium

  [ Stefano Rivera ]
  * Revert the temporary inkscape change.

  [ Sandro Tosi ]
  * New upstream release
  * keep inkscrape disabled in b-d
  * debian/patches
    - refresh patches
  * debian/rules
    - remove .eggs directory, created by setuptools-scm
    - skip failing tests
  * Stop building the -doc package; the cost of maintaining the build process
    and packaging more and more new packages is no longer sustainable, given the
    few users actually installing it.
  * debian/control
    - add fonttools to b-d, needed by tests

 -- Sandro Tosi <morph@debian.org>  Mon, 19 Dec 2022 01:56:13 -0500
