## matplotlib 3.6.3

=== debian/changelog ===
matplotlib (3.6.3-1) unstable; urgency=medium

  * New upstream release
  * debian/patches/PR24862.patch
    - refresh patch
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Wed, 18 Jan 2023 21:43:01 -0500

matplotlib (3.6.2-4) unstable; urgency=medium

  * debian/rules
    - run dh_installdocs on the -data pkg, to unstall changelog;
      Closes: #1027049
  * debian/patches/PR24862.patch
    - Fix argument checking in Axes3D.quiver; Closes: #1027285

 -- Sandro Tosi <morph@debian.org>  Thu, 05 Jan 2023 23:52:41 -0500
