=== debian/control ===
--- 
+++ 
@@ -1,26 +1,33 @@
 Source: matplotlib
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Team <team+python@tracker.debian.org>,
-Build-Depends: debhelper (>= 7),
+Build-Depends: cm-super-minimal <!nocheck>,
+               debhelper (>= 7),
                dh-python,
                dvipng,
+               ffmpeg <!nocheck>,
+               fonts-noto-cjk <!nocheck>,
+               fonts-wqy-zenhei <!nocheck>,
                ghostscript,
                graphviz,
 # inkscape [!kfreebsd-amd64],
+               imagemagick <!nocheck>,
                libfreetype6-dev,
                libpng-dev,
                libqhull-dev,
                locales-all,
                python3-all-dev,
+               python3-cairo <!nocheck>,
                python3-cairocffi [!ia64],
                python3-certifi (>= 2020.6.20-1),
                python3-colorspacious,
+               python3-contourpy <!nocheck>,
                python3-cxx-dev,
                python3-cycler (>= 0.10.0),
                python3-dateutil,
+               python3-fonttools <!nocheck>,
                python3-gi,
                python3-ipywidgets,
                python3-kiwisolver,
@@ -28,6 +35,7 @@
                python3-numpy (>= 1.20.0),
                python3-numpydoc,
                python3-pandas [!hppa !m68k !powerpcspe !sparc64 !sh4 !x32],
+               python3-pikepdf <!nocheck>,
                python3-pil,
                python3-pil.imagetk <!nocheck>,
                python3-pkg-resources,
@@ -40,15 +48,20 @@
                python3-six (>= 1.4),
                python3-tk,
                python3-tornado,
+               python3-wxgtk4.0 <!nocheck>,
+               python3-xarray <!nocheck>,
                tcl8.6-dev,
+               texlive-base <!nocheck>,
                texlive-fonts-recommended,
                texlive-latex-extra,
                texlive-latex-recommended,
+               texlive-luatex <!nocheck>,
+               texlive-science <!nocheck>,
+               texlive-xetex <!nocheck>,
                tk8.6-dev,
                xauth,
                xvfb,
                zlib1g-dev,
-XS-Python-Version: all
 Standards-Version: 4.6.1
 Homepage: http://matplotlib.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/matplotlib.git
