=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,uversionmangle=s/rc/~rc/;s/b/~beta/,filenamemangle=s/(?:.*)?v?(3.*)\.tar\.gz/matplotlib-$1.tar.gz/" \
         https://github.com/matplotlib/matplotlib/tags (?:.*/)?v?(3.*)\.tar\.gz
