## matplotlib 3.8.3

=== debian/changelog ===
matplotlib (3.8.3-3ubuntu2) plucky; urgency=medium

  * Drop build-dependencies and allow dh_installdocs to
    fail in order to unblock the numpy2 transition

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 29 Jan 2025 17:39:23 +0000

matplotlib (3.8.3-3ubuntu1) plucky; urgency=medium

  * Ignore documentation build failure for first build

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 14 Nov 2024 21:18:13 +0000

matplotlib (3.8.3-3build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 10:54:19 +0100

matplotlib (3.8.3-3) unstable; urgency=medium

  * Teamp Upload.
  * Release to unstable.

 -- Alexandre Detiste <tchet@debian.org>  Mon, 22 Jul 2024 10:30:19 +0200

matplotlib (3.8.3-2~exp1) experimental; urgency=medium

  * Team upload.
  * Reinstate python-matplotlib-doc
    - Build-Depends-Indep: python3-ipykernel, python3-sphinx-design,
      python3-yaml <!nodoc>
    - clean doc/build and doc/fontlist-v*.json
  * debian patch manage_docs.patch enables a successful doc build
    - skip 3d and Axes gallery examples (can't import new mpl_toolkits
      successfully when system package of old version is installed,
      see Bug#1074159)
    - deactivate copyfile_regex (not available in sphinx_gallery)
    - theme-switcher, version-switcher are not available
    - add missing README files
  * update debian/clean to remove generated files. Closes: #1047769.
  * skip build tests if nocheck is set in DEB_BUILD_OPTIONS

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Jun 2024 17:59:57 +0200

matplotlib (3.8.3-1) experimental; urgency=medium

  [ Alexandre Detiste ]
  * adopt package (Closes: #1065325)
  * New upstream version 3.8.3
  * fix syntax error in Maintainer: field
  * remove old Py2+3 boilerplate
  * refresh patches
  * remove one patch applied upstream

  [ cielavenir ]
  * use README.md instead of README.rst
  * Fix 70_bts720549_try_StayPuft_for_xkcd.patch
  * Fix 0008-Increase-test-tollerance.patch

  [ Nilesh Patra ]
  * Fully migrate to DH 13
  * Add install file for python3-matplotlib
  * Install README.md as docs
  * Add d/clean
  * Add myself to uploaders
  * Fixup with cme
  * Add builddep on pybind11
  * d/rules: Build --with python3,numpy3

 -- Nilesh Patra <nilesh@debian.org>  Sun, 16 Jun 2024 22:21:27 +0530

matplotlib (3.6.3-2) unstable; urgency=medium

  * Team upload.
  * Add missing autopkgtest depend on python3-all (Closes: #1067139)

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Apr 2024 11:57:19 +0200

matplotlib (3.6.3-1.1) unstable; urgency=medium

  [ Julien Puydt ]
  * Drop wrong depends on setuptools-scm-git-archive (Closes: #1050105).

  [ Alexandre Detiste ]
  * remove extraneous dependency on python3-six (Closes: #1039099)
  * remove obsolete build-dep python3-mock

  [ Sandro Tosi ]
  * orphan

 -- Sandro Tosi <morph@debian.org>  Sat, 02 Mar 2024 15:21:35 -0500
