=== debian/control ===
Source: matplotlib
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexandre Detiste <tchet@debian.org>,
           Nilesh Patra <nilesh@debian.org>
Section: python
Priority: optional
Build-Depends: cm-super-minimal <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-python3,
               dvipng,
               ffmpeg <!nocheck>,
               fonts-noto-cjk <!nocheck>,
               fonts-wqy-zenhei <!nocheck>,
               ghostscript,
               graphviz,
# inkscape [!kfreebsd-amd64],
               imagemagick <!nocheck>,
               libfreetype-dev,
               libpng-dev,
               libqhull-dev,
               locales-all,
               python3-all-dev,
               python3-cairo <!nocheck>,
               python3-cairocffi [!ia64],
               python3-certifi,
               python3-colorspacious,
               python3-contourpy <!nocheck>,
               python3-cxx-dev,
               python3-cycler,
               python3-dateutil,
               python3-fonttools <!nocheck>,
               python3-gi,
               python3-ipywidgets,
               python3-kiwisolver,
               python3-numpy,
               python3-numpydoc,
#               python3-pandas [!hppa !m68k !powerpcspe !sparc64 !sh4 !x32],
               python3-pikepdf <!nocheck>,
               python3-pil,
               python3-pil.imagetk <!nocheck>,
               python3-pkg-resources,
               python3-pyparsing,
               python3-pyqt5 [!hurd-i386],
               python3-pytest,
               python3-pybind11,
               python3-setuptools,
               python3-setuptools-scm,
               python3-tk,
               python3-tornado,
               python3-wxgtk4.0 <!nocheck>,
#               python3-xarray <!nocheck>,
               tcl8.6-dev,
               texlive-base <!nocheck>,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               texlive-luatex <!nocheck>,
               texlive-science <!nocheck>,
               texlive-xetex <!nocheck>,
               tk8.6-dev,
               xauth,
               xvfb,
               zlib1g-dev
Build-Depends-Indep:
               cm-super-minimal <!nodoc>,
               ffmpeg <!nodoc>,
               fonts-comic-neue <!nodoc>,
               fonts-humor-sans <!nodoc>,
               fonts-staypuft <!nodoc>,
               optipng <!nodoc>,
               python3-fonttools <!nodoc>,
               python3-ipykernel <!nodoc>,
               python3-ipython <!nodoc>,
#               python3-mpl-sphinx-theme <!nodoc>,
               python3-pydata-sphinx-theme (>= 0.7.1) <!nodoc>,
#               python3-scipy <!nodoc>,
               python3-sphinx <!nodoc>,
               python3-sphinx-copybutton <!nodoc>,
               python3-sphinx-design <!nodoc>,
#               python3-sphinx-gallery (>= 0.10.0) <!stage1> <!nodoc>,
               python3-sphinx-panels <!nodoc>,
               python3-sphinxcontrib.svg2pdfconverter <!nodoc>,
               python3-yaml <!nodoc>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/matplotlib
Vcs-Git: https://salsa.debian.org/python-team/packages/matplotlib.git
Homepage: http://matplotlib.org/

Package: python3-matplotlib
Architecture: any
Depends: libjs-jquery,
         libjs-jquery-ui,
         python-matplotlib-data (>= ${source:Upstream-Version}),
         python3-dateutil,
         python3-pil.imagetk,
         python3-pyparsing,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-pil,
            python3-tk
Suggests: cm-super-minimal,
          dvipng,
          ffmpeg,
          fonts-staypuft,
          ghostscript,
          gir1.2-gtk-3.0,
          inkscape,
          ipython3,
          librsvg2-common,
          python-matplotlib-doc,
          python3-cairocffi,
          python3-gi,
          python3-gi-cairo,
          python3-gobject,
          python3-pyqt5,
          python3-scipy,
          python3-sip,
          python3-tornado,
          texlive-extra-utils,
          texlive-latex-extra
Enhances: ipython3
Description: Python based plotting system in a style similar to Matlab
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.

Package: python-matplotlib-data
Architecture: all
Depends: fonts-dejavu-core,
         fonts-lyx,
         ${misc:Depends}
Description: Python based plotting system (data package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains architecture independent data for python-matplotlib.

Package: python-matplotlib-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends},
         ${sphinxdoc:Depends},
Build-Profiles: <!nodoc>
Description: Python based plotting system (documentation package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains documentation for python-matplotlib.
