## matplotlib 3.10.1%2Bdfsg1

=== debian/changelog ===
matplotlib (3.10.1+dfsg1-5) unstable; urgency=medium

  * Remove long time unused jQuery dependencies

 -- Alexandre Detiste <tchet@debian.org>  Fri, 05 Sep 2025 18:32:35 +0200

matplotlib (3.10.1+dfsg1-4) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Team upload.
  * Add pkgconf in Build-Deps, meson requires it to detect freetype2.

  [ Nilesh Patra ]
  * Add patch to fix FTBFS (Closes: #1106427)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 May 2025 22:52:08 +0530

matplotlib (3.10.1+dfsg1-3) unstable; urgency=medium

  [ James Addison ]
  * Properly detect python3-gi absence/presence (Closes: #1101565)

 -- Alexandre Detiste <tchet@debian.org>  Sat, 19 Apr 2025 17:28:04 +0200

matplotlib (3.10.1+dfsg1-2) unstable; urgency=medium

  * Release to unstable

 -- Alexandre Detiste <tchet@debian.org>  Wed, 26 Mar 2025 09:38:56 +0100

matplotlib (3.10.1+dfsg1-1) experimental; urgency=medium

  * New upstream version 3.10.1+dfsg1 (Refresh patches)
  * Do not force tkagg backend, the detection logic
    has improved a lot as pointer by upstream
  * Backport upstream commit to fix auto-backend detection case-sensitivity

 -- Nilesh Patra <nilesh@debian.org>  Sun, 16 Mar 2025 19:33:32 +0530

matplotlib (3.10.0+dfsg1-1~exp2) experimental; urgency=medium

  * Add patch to not install pfb (missed patch in previous upload)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Feb 2025 19:12:55 +0530

matplotlib (3.10.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream version 3.10.0
  * d/copyright: Re-pack non-free .pfb files
  * d/patches:
    + Refresh patches
    + Reduce precision for test_compressed_suptitle
    + Add patch to drop sphinx exts (not packaged in debian yet)
  * d/clean: Cleanup matplotlibrc
  * d/control: Update new Build-Deps
  * d/rules:
    - Prune mplsetup.cfg (removed 3.9.0 release) and use meson opts
    - Skip couple of failing tests

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Feb 2025 18:25:55 +0530

matplotlib (3.8.3-7) unstable; urgency=medium

  * Also skip autopkgtests *sigh*

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Feb 2025 16:47:22 +0530

matplotlib (3.8.3-6) unstable; urgency=medium

  * Ignore more tests failing on 32-bit. Ignore arch-tests again for now

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Feb 2025 16:07:59 +0530

matplotlib (3.8.3-5) unstable; urgency=medium

  * Skip more tests (works locally but not on buildd)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 23 Feb 2025 15:38:21 +0530

matplotlib (3.8.3-4) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Rebuild with fixed pydata-sphinx-theme (Addresses: #1085259)
  * Remove dependency on python3-pkg-resources (Closes: #1083475)
  * Remove dependency on python3-sphinx-panels (Addresses: #1065029)
  * Add gir1.2-gtk-4.0 to suggests (Closes: #1078759)
  * Apply Multi-Arch hint
  * Set Rules-Requires-Root: no
  * d/copyright:
    * vendored py2/3 dateutil is gone
    * vendored jquery is gone
    * Lintian cannot understand "same as upstream", assign a codename
  * d/watch: use v4
  * more lintian fixes:
    * package-contains-vcs-control-file
    * package-contains-eslint-config-file
    * renamed-tag
    * trailing-whitespace
    * unused-override

  [ Stuart Prescott ]
  * Remove build-dependency on pandas and xarray for build-time tests,
    running tests on CI instead.
  * Add patch to fix documentation build failure with numpy 2.x (Closes:
    #1095355 ).
  * Fix d/rules to actually run tests on buildd.
  * Skip all tests currently failing on buildd; this should be reverted
    in a future upload.
  * Run tests in parallel on buildd.
  * Silence lots of lintian complaints on test data.
  * Update Standards-Version to 4.7.0 (no changes required).

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Nov 2024 13:32:38 +0100
