## matplotlib 3.10.1+dfsg1

=== debian/changelog ===
matplotlib (3.10.1+dfsg1-6ubuntu1) resolute; urgency=medium

  * Disable build-time tests for first build with Python 3.14,
    dh_auto_test times out everywhere except s390x and
    failures are ignored anyway, see #1074212

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 08:29:05 +0000

matplotlib (3.10.1+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * d/control: Drop <!nocheck> from python3-pytest-xvfb. Closes: #1116787.
  * d/control: Drop "Rules-Requires-Root: no" (default).
  * d/control: Update standards-version.

 -- Santiago Vila <sanvila@debian.org>  Sun, 12 Oct 2025 22:45:00 +0200
